/* dopeunix.c       dopewars - Unix-specific functions                  */
/*                      - to compile dopewars for the Unix platform,    */
/*                        copy this file to "dopeos.c"                  */
/* Copyright (C)  1998-9  Ben Webb                                      */
/*                Email: ben@bellatrix.pcl.ox.ac.uk                     */
/*                WWW: http://bellatrix.pcl.ox.ac.uk/~ben/dopewars/     */

/* This program is free software; you can redistribute it and/or        */
/* modify it under the terms of the GNU General Public License          */
/* as published by the Free Software Foundation; either version 2       */
/* of the License, or (at your option) any later version.               */

/* This program is distributed in the hope that it will be useful,      */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of       */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        */
/* GNU General Public License for more details.                         */

/* You should have received a copy of the GNU General Public License    */
/* along with this program; if not, write to the Free Software          */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston,               */
/*                   MA  02111-1307, USA.                               */

#include "dopeos.h"
#include <unistd.h>

int Width,Depth;

int bgetch() {
/* Calls the curses getch() function; if the key pressed is Ctrl-L */
/* then automatically clears and redraws the screen, otherwise     */
/* passes the key back to the calling routine                      */
   int c;
   c=getch();
   while (c=='\f') {
      wrefresh(curscr);
      c=getch();
   }
   return c;
}

int ReadSocket(int sock,char *buf,int buflen) {
   return (int)read(sock,buf,buflen);
}
int SendSocket(int sock,char *buf,int buflen) {
   return (int)write(sock,buf,buflen);
}
void StartNetworking() {}
void StopNetworking() {}
void SetReuse(int sock) {
   int i;
   i=1;
   if (setsockopt(sock,SOL_SOCKET,SO_REUSEADDR,
                  &i,sizeof(i))==-1) {
      perror("setsockopt"); exit(1);
   }
}
